Skip to main content
GET
/
cms
/
v3
/
audit-logs
Query audit logs
curl --request GET \
  --url https://api.hubapi.com/cms/v3/audit-logs/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "event": "CREATED",
      "fullName": "<string>",
      "meta": {},
      "objectId": "<string>",
      "objectName": "<string>",
      "objectType": "BLOG",
      "timestamp": "2023-11-07T05:31:56Z",
      "userId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string
eventType
string[]
limit
integer<int32>

The maximum number of results to display per page.

objectId
string[]
objectType
string[]
sort
string[]
userId
string[]

Response

successful operation

results
object[]
required
paging
object
Last modified on February 12, 2026